Package org.drinkless.tdlib

# Class TdApi.ReplyMarkupRemoveKeyboard

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReplyMarkup
org.drinkless.tdlib.TdApi.ReplyMarkupRemoveKeyboard

Enclosing class:
  TdApi

public static class TdApi.ReplyMarkupRemoveKeyboard extends TdApi.ReplyMarkup
Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ReplyMarkup

  `TdApi.ReplyMarkup.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPersonal`
  True, if the keyboard is removed only for the mentioned users or the target user of a reply.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplyMarkupRemoveKeyboard()`
  Instructs application to remove the keyboard once this message has been received.
  `ReplyMarkupRemoveKeyboard(boolean isPersonal)`
  Instructs application to remove the keyboard once this message has been received.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isPersonal

    public boolean isPersonal
    True, if the keyboard is removed only for the mentioned users or the target user of a reply.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReplyMarkupRemoveKeyboard

    public ReplyMarkupRemoveKeyboard()
    Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.

  - ### ReplyMarkupRemoveKeyboard

    public ReplyMarkupRemoveKeyboard(boolean isPersonal)
    Instructs application to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, updateChatReplyMarkup with messageId == 0 will be sent.
    Parameters:
      `isPersonal` - True, if the keyboard is removed only for the mentioned users or the target user of a reply.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ReplyMarkup`
    Returns:
      this.CONSTRUCTOR